@import './_variables';
@import './_mixins';
@import './header';
@import './main';
@import './footer';

.wrapper{
  min-height: 100%;
  overflow: hidden;
}

.-container {
  max-width: 1170px;
  margin: 0 auto;
  padding: 0 15px;
  box-sizing: content-box;
  img{
    display: block;
  }
}

body{
  font-family: Roboto, sans-serif;
}

/////////////////////////////////////////////

@media (max-width: 941px){
  .-container{
    max-width: 768px;
  }
  .header__picture img{
    margin-bottom: 59px;
  }
  .menu__list{
    max-width: 605px;
  }
  .our-posts{
    flex-direction: column;
  }
  .our-posts__item{
    max-width: 555px;
  }
  .insta-shots__img:last-child{
    display: none;
  }
  .insta-shots__img-wrapper{
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 768px){
  .menu__list{
    box-sizing: content-box;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    min-width: 183px;
    height: 210px;
    position: absolute;
    top: -300px; //тут скрываем
    right: 14px;
    background-color: #F5F5F5;
    padding: 8px;
  }
  .burger-btn-wrapper{
    display: flex;
  }
}

@media (max-width: 374px){
  .title{
    font-size: 14px;
  }
  .main__picture img{
    margin-bottom: 42px;
  }
  .our-posts__item{
    flex-direction: column;
  }
  .our-posts__item .our-post__text {
    padding-left: 0px;
  }
  .our-posts__info{
    display: none;
  }
  .our-posts__title {
    font-size: 14px;
  }
  .our-posts__subtitle {
    font-size: 11px;
  }
  .footer__inner-container{
    max-width: 303px;
  }
  .title-center-white{
    font-size: 14px;
    padding: 38px 0 8px 0;
  }
  .footer-text{
    font-size: 12px;
    line-height: 20px;
  }
  .footer__social-media{
    padding: 26px 0 25px 0;
  }
  .footer__contacts{
    font-size: 14px;
    line-height: 24px;
    max-width: 212px;
    margin: 0 auto;
    padding-bottom: 47px;
  }
  .insta-shots{
    background: none;
  }
  .insta-shots__img:not(:first-child){
    display: none;
  }
  .insta-shots__img-wrapper{
    grid-template-columns: repeat(1, 1fr);
  }
  .insta-shots--subtitle{
    display: none;
  }
}
